### Method

# GExiv2 Metadata try_get_preview_image

deprecated: 0.16.0 since: 0.14.0

#### Declaration [src]

    GExiv2PreviewImage*
    gexiv2_metadata_try_get_preview_image (
      GExiv2Metadata* self,
      GExiv2PreviewProperties* props,
      GError** error
    )

#### Description [src]

Get a preview image from the metadata.

Available since: 0.14.0

Deprecated since: 0.16.0

Use `gexiv2_metadata_get_preview_image()` instead.

#### Parameters

`props`

  Type: `GExiv2PreviewProperties`

  A `GExiv2PreviewProperties` instance.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GExiv2PreviewImage`

A `GExiv2PreviewImage` instance for the particular `GExiv2PreviewProperties`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.